io.vertx.ext.consul

## Enum TxnOperationType

- java.lang.Object
- - java.lang.Enum<TxnOperationType>
  - - io.vertx.ext.consul.TxnOperationType

- All Implemented Interfaces:
    Serializable, Comparable<TxnOperationType>

      public enum TxnOperationType
      extends Enum<TxnOperationType>

  Represents the type of operation in a transaction. KV is the only available operation type, though other types of operations may be added in future versions of Consul to be mixed with key/value operations
  Author:
    Ruslan Sennov
  See Also:
    /v1/txn endpoint

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `KV`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TxnOperationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TxnOperationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KV

          public static final TxnOperationType KV

  - ### Method Detail

    - #### values

          public static TxnOperationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TxnOperationType c : TxnOperationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TxnOperationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2024 Eclipse. All rights reserved.